cSvn CGI Script

cSvn CGI Script – is a web frontend for Subversion™ Repositories

115 Commits   0 Branches   5 Tags   |
Index: doc/build-packages/rpms/README
===================================================================
--- doc/build-packages/rpms/README	(nonexistent)
+++ doc/build-packages/rpms/README	(revision 78)
@@ -0,0 +1,21 @@
+
+To build RPM packages we have to copy source package downloaded
+from https://ftp.radix.pro/pub/csvn directory to /usr/src/packages/SOURSES/
+directory. And also copy the csvn.spec file into /usr/src/packages/SPECS/
+directory. Then edit the package version in the csvn.spec file according
+to source package version.
+
+RPMs can be built by fillowing command:
+
+ $ rpmbuild --define "_topdir /usr/src/packages" -ba /usr/src/packages/SPECS/csvn.spec
+
+Resulting RPMs will be saved in /usr/src/packages/SRPMS/ and
+/usr/src/packages/RPMS/`uname -m`/ directories.
+
+After install binary RPM we have to create /etc/csvnrc config file and then
+enable and run csvnd.service:
+
+ $ systemctl enable csvnd.service
+ $ systemctl start csvnd.service
+
+Dependencies: file-devel, pcre2-devel, libxml2-devel, md4c-devel, md4c-html-devel.
Index: doc/build-packages/rpms/csvn.spec
===================================================================
--- doc/build-packages/rpms/csvn.spec	(nonexistent)
+++ doc/build-packages/rpms/csvn.spec	(revision 78)
@@ -0,0 +1,60 @@
+
+Name:       csvn
+Version:    0.0.9
+Release:    1
+Summary:    cSvn CGI Script
+License:    RADIX-1.0
+Group:      System/base
+Source:     https://ftp.radix.pro/pub/csvn/csvn-0.0.9.tar.xz
+Url:        https://csvn.radix/pro/csvn/
+
+
+%define _libdir     /usr/lib64
+%define _scriptdir  /srv/www/htdocs/csvn
+%define _homedir    /var/lib/csvn
+%define _logdir     /var/log
+%define _piddir     /var/run
+%define _systemddir /usr/lib/systemd/system
+
+
+%description
+cSvn CGI Script - is a web frontend for Subversion Repositories
+
+%prep
+%setup -q
+
+%build
+./configure \
+  --prefix=/usr \
+  --libdir=%{_libdir} \
+  --with-config=%{_sysconfdir}/csvnrc \
+  --with-controldir=%{_sysconfdir}/rc.d \
+  --with-logrotatedir=%{_sysconfdir}/logrotate.d \
+  --with-scriptdir=%{_scriptdir} \
+  --with-homedir=%{_homedir} \
+  --with-logdir=%{_logdir} \
+  --with-piddir=%{_piddir}
+
+%install
+make install DESTDIR=%{buildroot}
+install -d %{buildroot}%{_systemddir}
+install -m 644 doc/build-packages/rpms/csvnd.service %{buildroot}%{_systemddir}
+rm -rf %{buildroot}/etc/rc.d
+
+%clean
+%{?buildroot:%__rm -rf "%{buildroot}"}
+
+%files
+%defattr(-,root,root)
+%{_sysconfdir}/*
+%attr(755,root,root) %{_sbindir}/csvnd
+%{_homedir}/*
+%{_includedir}/*
+%{_datadir}/*
+%doc LICENSE README README.md doc/
+%attr(755,root,root) %{_scriptdir}/csvn.cgi
+%attr(644,root,root) %{_scriptdir}/favicon.ico
+%attr(644,root,root) %{_scriptdir}/robots.txt
+%{_scriptdir}/.csvn/
+%{_systemddir}/csvnd.service
+
Index: doc/build-packages/rpms/csvnd.service
===================================================================
--- doc/build-packages/rpms/csvnd.service	(nonexistent)
+++ doc/build-packages/rpms/csvnd.service	(revision 78)
@@ -0,0 +1,13 @@
+
+[Unit]
+Description=The cSvn daemon
+After=network.target
+
+[Service]
+PIDFile=/var/run/csvnd.pid
+ExecStart=/usr/sbin/csvnd --daemonize --inotify --config=/etc/csvnrc
+ExecReload=/bin/kill -s HUP $MAINPID
+ExecStop=/bin/kill -s TERM $MAINPID
+
+[Install]
+WantedBy=multi-user.target
Index: doc/build-packages/slackware/README
===================================================================
--- doc/build-packages/slackware/README	(nonexistent)
+++ doc/build-packages/slackware/README	(revision 78)
@@ -0,0 +1,7 @@
+
+csvn (a web frontend for Subversion repositories)
+
+cSvn CGI Script and web frontend for browsing Subversion
+repositories.
+
+Homepage: https://csvn.radix.pro
Index: doc/build-packages/slackware/csvn.SlackBuild
===================================================================
--- doc/build-packages/slackware/csvn.SlackBuild	(nonexistent)
+++ doc/build-packages/slackware/csvn.SlackBuild	(revision 78)
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=csvn
+VERSION=${VERSION:-$(echo csvn-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-csvn
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf csvn-$VERSION
+tar xvf $CWD/csvn-$VERSION.tar.?z* || exit 1
+cd csvn-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-config=/etc/csvnrc \
+  --with-controldir=/etc/rc.d \
+  --with-logrotatedir=/etc/logrotate.d \
+  --with-scriptdir=/srv/www/htdocs/csvn \
+  --with-homedir=/var/lib/csvn \
+  --with-logdir=/var/log \
+  --with-piddir=/var/run \
+  --build=$ARCH-slackware-linux || exit 1
+
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/
+gzip -9 $PKG/usr/man/man?/*
+rmdir $PKG/usr/share/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/csvn-$VERSION
+cp -a \
+  ChangeLog LICENSE README README.md doc \
+  $PKG/usr/doc/csvn-$VERSION
+
+cp -a $CWD/csvn.info        /usr/doc/csvn-$VERSION
+cp -a $CWD/csvn.SlackBuild  /usr/doc/csvn-$VERSION
+
+
+# If there's a ChangeLog file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/csvn-$VERSION-$ARCH-$BUILD.txz
Index: doc/build-packages/slackware/csvn.info
===================================================================
--- doc/build-packages/slackware/csvn.info	(nonexistent)
+++ doc/build-packages/slackware/csvn.info	(revision 78)
@@ -0,0 +1,10 @@
+PRGNAM="csvn"
+VERSION="0.0.9"
+HOMEPAGE="http://csvn.radix.pro"
+DOWNLOAD="https://ftp.radix.pro/pub/csvn/csvn-0.0.9.tar.xz"
+MD5SUM="372e292a8e8b2b157896e9a913bfeab2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="md4c libpcre2-8 libpcre2-32 libxml2"
+MAINTAINER="Andrey V.Kosteltsev"
+EMAIL="kx@radix.pro"
Index: doc/build-packages/slackware/slack-desc
===================================================================
--- doc/build-packages/slackware/slack-desc	(nonexistent)
+++ doc/build-packages/slackware/slack-desc	(revision 78)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+    |-----handy-ruler------------------------------------------------------|
+csvn: csvn (a web frontend for Subversion repositories)
+csvn:
+csvn: cSvn CGI Script and web frontend for browsing Subversion
+csvn: repositories.
+csvn:
+csvn:
+csvn: Homepage: https://csvn.radix.pro
+csvn:
+csvn:
+csvn:
+csvn: